GET
/api/v1/protocols/synapse/capabilities/{capabilityId}Synapse_GetSynapseCapability
- Authentication
- public
- Cache policy
- public-short
- Success and errors
- 200, 400, 404, 500, 503
- Stability
- v1 stable contract
OpenAPI operation
{
"operationId": "Synapse_GetSynapseCapability",
"summary": "Read one projected Synapse capability and its implementations",
"tags": [
"Synapse"
],
"parameters": [
{
"name": "capabilityId",
"in": "path",
"required": true,
"schema": {
"type": "string",
"minLength": 1,
"maxLength": 300
}
},
{
"name": "namespace",
"in": "query",
"required": false,
"schema": {
"type": "string",
"maxLength": 300
}
},
{
"name": "version",
"in": "query",
"required": false,
"schema": {
"type": "string",
"maxLength": 300
}
}
],
"security": [
{},
{
"apiKeyAuth": []
}
],
"responses": {
"200": {
"description": "Success",
"content": {
"application/json": {
"schema": {
"type": "object",
"additionalProperties": false,
"required": [
"data",
"meta"
],
"properties": {
"data": {
"type": "object",
"properties": {
"capabilityId": {
"type": "string"
},
"namespace": {
"type": "string"
},
"version": {
"type": "string"
},
"displayLabel": {
"type": "string"
},
"description": {
"type": "string"
},
"agentCount": {
"type": "integer",
"minimum": 0,
"maximum": 9007199254740991
},
"supportedTransports": {
"type": "array",
"items": {
"type": "string"
}
},
"pricingSummary": {
"type": "array",
"items": {
"type": "object",
"properties": {
"tierId": {
"type": "string"
},
"pricePerCallAtomic": {
"anyOf": [
{
"type": "string",
"pattern": "^(?:0|[1-9][0-9]*)$"
},
{
"type": "null"
}
]
},
"minimumAtomic": {
"anyOf": [
{
"type": "string",
"pattern": "^(?:0|[1-9][0-9]*)$"
},
{
"type": "null"
}
]
},
"maximumAtomic": {
"anyOf": [
{
"type": "string",
"pattern": "^(?:0|[1-9][0-9]*)$"
},
{
"type": "null"
}
]
},
"rateLimit": {
"anyOf": [
{
"type": "string",
"pattern": "^(?:0|[1-9][0-9]*)$"
},
{
"type": "null"
}
]
},
"tokenType": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"tokenDecimals": {
"anyOf": [
{
"type": "integer",
"minimum": 0,
"maximum": 255
},
{
"type": "null"
}
]
},
"settlementMode": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"tierId",
"pricePerCallAtomic",
"minimumAtomic",
"maximumAtomic",
"rateLimit",
"tokenType",
"tokenDecimals",
"settlementMode"
],
"additionalProperties": false
}
},
"x402Support": {
"type": "boolean"
},
"methodologyVersion": {
"type": "string"
},
"observationFreshness": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"projectedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"stale": {
"type": "boolean"
},
"implementations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"agentEntityPublicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"canonicalSlug": {
"type": "string"
},
"name": {
"type": "string"
},
"identityPublicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"identityAddress": {
"type": "string"
},
"networkKey": {
"type": "string"
},
"lifecycleState": {
"type": "string"
},
"services": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string"
},
"endpoint": {
"type": "string"
}
},
"required": [
"type",
"endpoint"
],
"additionalProperties": false
}
},
"transports": {
"type": "array",
"items": {
"type": "string"
}
},
"pricing": {
"type": "array",
"items": {
"type": "object",
"properties": {
"tierId": {
"type": "string"
},
"pricePerCallAtomic": {
"anyOf": [
{
"type": "string",
"pattern": "^(?:0|[1-9][0-9]*)$"
},
{
"type": "null"
}
]
},
"minimumAtomic": {
"anyOf": [
{
"type": "string",
"pattern": "^(?:0|[1-9][0-9]*)$"
},
{
"type": "null"
}
]
},
"maximumAtomic": {
"anyOf": [
{
"type": "string",
"pattern": "^(?:0|[1-9][0-9]*)$"
},
{
"type": "null"
}
]
},
"rateLimit": {
"anyOf": [
{
"type": "string",
"pattern": "^(?:0|[1-9][0-9]*)$"
},
{
"type": "null"
}
]
},
"tokenType": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"tokenDecimals": {
"anyOf": [
{
"type": "integer",
"minimum": 0,
"maximum": 255
},
{
"type": "null"
}
]
},
"settlementMode": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"required": [
"tierId",
"pricePerCallAtomic",
"minimumAtomic",
"maximumAtomic",
"rateLimit",
"tokenType",
"tokenDecimals",
"settlementMode"
],
"additionalProperties": false
}
},
"x402Support": {
"type": "boolean"
},
"reputationScore": {
"type": "string",
"pattern": "^(?:0|[1-9][0-9]*)$"
},
"totalCalls": {
"type": "string",
"pattern": "^(?:0|[1-9][0-9]*)$"
},
"totalFeedbacks": {
"type": "string",
"pattern": "^(?:0|[1-9][0-9]*)$"
},
"registeredAt": {
"anyOf": [
{
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
{
"type": "null"
}
]
},
"observedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"sourceEvidencePublicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"decoderVersion": {
"type": "string"
}
},
"required": [
"agentEntityPublicId",
"canonicalSlug",
"name",
"identityPublicId",
"identityAddress",
"networkKey",
"lifecycleState",
"services",
"transports",
"pricing",
"x402Support",
"reputationScore",
"totalCalls",
"totalFeedbacks",
"registeredAt",
"observedAt",
"sourceEvidencePublicId",
"decoderVersion"
],
"additionalProperties": false
}
},
"sourceObservationIds": {
"type": "array",
"items": {
"type": "string",
"pattern": "^(?:0|[1-9][0-9]*)$"
}
}
},
"required": [
"capabilityId",
"namespace",
"version",
"displayLabel",
"description",
"agentCount",
"supportedTransports",
"pricingSummary",
"x402Support",
"methodologyVersion",
"observationFreshness",
"projectedAt",
"stale",
"implementations",
"sourceObservationIds"
],
"additionalProperties": false
},
"meta": {
"type": "object",
"additionalProperties": true,
"required": [
"requestId",
"schemaVersion",
"buildVersion",
"generatedAt",
"freshness"
],
"properties": {
"requestId": {
"type": "string",
"format": "uuid"
},
"schemaVersion": {
"type": "string"
},
"buildVersion": {
"type": "string"
},
"generatedAt": {
"type": "string",
"format": "date-time"
},
"freshness": {
"type": "object",
"additionalProperties": false,
"required": [
"projectedAt",
"sourceWatermark"
],
"properties": {
"projectedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"sourceWatermark": {
"type": [
"string",
"null"
]
}
}
}
}
}
}
}
}
}
},
"400": {
"description": "invalid request",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"404": {
"description": "not found",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"500": {
"description": "internal error",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"503": {
"description": "dependency unavailable",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
}
},
"x-auth-mode": "public",
"x-cache-policy": "public-short",
"x-required-scopes": [
"agents:read"
],
"x-rate-cost": 2,
"x-stability": "STABLE"
}